/**
 * Klasse zum kodieren / dekodieren von Strings
 */
public class Encode {

    /**
     * Tests der encode und decode Funktionen
     */
    public static void main(String[] args) {
        System.out.println("encode(\"Hallo\") gibt zurück: " + encode("Hallo"));
        System.out.println("decode(\"Ibmmp\") gibt zurück: " + decode("Ibmmp"));
    }

    /**
     * Kodiert einen String durch eine alphabetische Verschiebung um 1
     */
    public static String encode(String str) {
        String encoded = "";
        for (int i = 0; i < str.length(); i++) {
            encoded = encoded + (char)(str.charAt(i) + 1);
        }
        return encoded;
    }

    /**
     * Dekodiert einen String der von encode Kodiert wurde
     */
    public static String decode(String str) {
        String decoded = "";
        for (int i = 0; i < str.length(); i++) {
            decoded = decoded + (char)(str.charAt(i) - 1);
        }
        return decoded;
    }
}
