/**
 Klasse zum Drucken von vier Quadraten einer beliebigen Größe
 */
public class VierQuadrate {
    public static final int SIZE = 3;
    /**
     Main Methode
    */
    public static void main(String[] args) {
        for (int j=0; j<2; j++ ) {
            printDivider();
            for (int k = 0; k < VierQuadrate.SIZE; k++) {
                System.out.print("#");
                printSpaces();
                System.out.print("|");
                printSpaces();
                System.out.println("#");
            }
        }
        printDivider();
    }
    /**
     Druckt Leerzeichen innerhalb der Quadrate
     */
    static void printSpaces() {
        for (int i = 0; i < VierQuadrate.SIZE; i++) {
            System.out.print(" ");
        }
    }
    /**
     Druckt eine Hälfte der horizontalen Divider der Quadrate
     */
    static void printHalfDivider() {
        for (int i = 0; i < VierQuadrate.SIZE + 1; i++) {
            System.out.print("=");
        }
    }
    /*
     Druckt die horizontalen Divider der Quadrate
     */
    static void printDivider() {
        printHalfDivider();
        System.out.print("+");
        printHalfDivider();
        System.out.println();
    }
}
