/**
 * Klasse zum ausgeben von Zahlenreihen mit angebrachter Formatierung
 */
public class Range {
    public static void main(String[] args) {
        printRange(2, 7);
        printRange(19, 11);
        printRange(5, 5);
    }
    /**
     * Gibt eine Zahlenfolge von from bis to in eckigen Klammern und einzeln durch Kommas getrennt aus.
     * Ausgabe in aufsteigender Reihenfolge, falls from > to, andernfalls absteigend.
     */
    public static void printRange(int from, int to) {
        System.out.print("[" + from);
        if (to > from) {
            for (int i = from + 1; i <= to; i++) {
                printNumber(i);
            }
        } else {
            for (int i = from - 1; i >= to; i--) {
                printNumber(i);
            }
        }
        System.out.println("]");
    }

    /**
     * Gibt eine Zahl nach einem Komma und einem Leerzeichen aus
     */
    public static void printNumber(int num) {
        System.out.print(", " + num);
    }
}
