import java.util.Scanner;

/**
 * Klasse zum erstellen einer Liste von Namen
 * mittels einer Sentinel-Schleife
 */
public class Sentinel {
    public static void main(String[] args) {
        Scanner console = new Scanner(System.in);

        String namen = "";

        String eingabe = nameEinlesen(console);

        while (!eingabe.isEmpty()) {

            // Kommas erst nach Abfrage der Eingabe hinzufuegen fuer den Fall,
            // dass erste Eingabe leer ist.
            if (!namen.isEmpty()) {
                namen = namen + ", ";
            }
            namen = namen + eingabe;

            eingabe = nameEinlesen(console);
        }

        System.out.println("Willkommen an alle: " + namen);

    }

    /**
     * Funktion zum einlesen eines einzelnen Namen von der console
     * nach Ausgabe einer Eingabeaufforderung
     */
    public static String nameEinlesen(Scanner console) {
        System.out.print("Geben Sie einen Namen ein (oder eine leere Zeile zum Beenden): ");
        return console.nextLine();
    }
}
